# Cinder

# cinder::cairo::SurfacePs Class Reference

`#include <Cairo.h>`

Inherits cinder::cairo::SurfaceBase.

List of all members.

## Public Member Functions
| SurfacePs ()
| SurfacePs (const std::string &filePath, double widthInPoints, double heightInPoints, bool enableLevel3=true)
| SurfacePs (const SurfacePs &other)
void | setSize (double widthInPoints, double heightInPoints)
void | dscBeginSetup ()
| Indicates that subsequent calls to dscComment() should direct comments to the Setup section of the PostScript output. This function should be called at most once per surface, and must be called before any call to dscBeginPageSetup() and before any drawing is performed to the surface.
void | dscBeginPageSetup ()
| Indicates that subsequent calls to dscComment() should direct comments to the PageSetup section of the PostScript output. This function call is only needed for the first page of a surface. It should be called after any call to dscBeginSetup() and before any drawing is performed to the surface.
void | dscComment (const std::string &comment)
| Emit a comment into the PostScript output for the given surface.
void | dscComment (const char *comment)
| Emit a comment into the PostScript output for the given surface.
cairo_surface_t * | getCairoSurface () const
int32_t | getWidth () const
int32_t | getHeight () const
float | getAspectRatio () const
Area | getBounds () const
Vec2i | getSize () const
void | flush ()
## Protected Attributes
cairo_surface_t * | mCairoSurface
int32_t | mWidth
int32_t | mHeight

## Constructor & Destructor Documentation

cinder::cairo::SurfacePs::SurfacePs | ( |  | ) |

cinder::cairo::SurfacePs::SurfacePs | ( | const std::string & | filePath,
|  | double | widthInPoints,
|  | double | heightInPoints,
|  | bool | enableLevel3 = `true` |
| ) |  |  |

cinder::cairo::SurfacePs::SurfacePs | ( | const SurfacePs & | other | ) |

## Member Function Documentation

void cinder::cairo::SurfacePs::setSize | ( | double | widthInPoints,
|  | double | heightInPoints |
| ) |  |  |

void cinder::cairo::SurfacePs::dscBeginSetup | ( |  | ) |

Indicates that subsequent calls to dscComment() should direct comments to the Setup section of the PostScript output. This function should be called at most once per surface, and must be called before any call to dscBeginPageSetup() and before any drawing is performed to the surface.

void cinder::cairo::SurfacePs::dscBeginPageSetup | ( |  | ) |

Indicates that subsequent calls to dscComment() should direct comments to the PageSetup section of the PostScript output. This function call is only needed for the first page of a surface. It should be called after any call to dscBeginSetup() and before any drawing is performed to the surface.

void cinder::cairo::SurfacePs::dscComment | ( | const std::string & | comment | ) |

Emit a comment into the PostScript output for the given surface.

void cinder::cairo::SurfacePs::dscComment | ( | const char * | comment | ) |

Emit a comment into the PostScript output for the given surface.

cairo_surface_t* cinder::cairo::SurfaceBase::getCairoSurface | ( |  | ) | const`[inherited]`

int32_t cinder::cairo::SurfaceBase::getWidth | ( |  | ) | const`[inherited]`

int32_t cinder::cairo::SurfaceBase::getHeight | ( |  | ) | const`[inherited]`

float cinder::cairo::SurfaceBase::getAspectRatio | ( |  | ) | const`[inherited]`

Area cinder::cairo::SurfaceBase::getBounds | ( |  | ) | const`[inherited]`

Vec2i cinder::cairo::SurfaceBase::getSize | ( |  | ) | const`[inherited]`

void cinder::cairo::SurfaceBase::flush | ( |  | ) | `[inherited]`

## Member Data Documentation

cairo_surface_t* cinder::cairo::SurfaceBase::mCairoSurface`[protected, inherited]`

int32_t cinder::cairo::SurfaceBase::mWidth`[protected, inherited]`

int32_t cinder::cairo::SurfaceBase::mHeight`[protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/cairo/Cairo.h
- src/cinder/cairo/Cairo.cpp